Bug 389151 - Review Request: xchat-ruby - X-Chat plugin adding Ruby scripting functionality
Review Request: xchat-ruby - X-Chat plugin adding Ruby scripting functionality
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-18 01:23 EST by Conrad Meyer
Modified: 2007-12-26 20:02 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.2-5.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-26 20:01:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Conrad Meyer 2007-11-18 01:23:39 EST
Spec URL: http://konrad.sobertillnoon.com/fedora/xchat-ruby.spec
SRPM URL: http://konrad.sobertillnoon.com/fedora/xchat-ruby-1.2-1.fc8.src.rpm
Description:
For those of us that prefer the Ruby programming language above all
others, the XChat-Ruby Plugin now allows X-Chat plugins to be written
in Ruby, in addition to the other supported scripting interfaces. This
means that, for the first time, you can use a purely object-oriented
language in which to write X-Chat plugins.
Comment 1 Conrad Meyer 2007-11-18 01:27:10 EST
This is my first package and I need a sponsor. Thanks!
Comment 2 Kevin Kofler 2007-11-18 01:31:18 EST
CCing David Lutterkort (sponsor from Ruby SIG). David, are you willing to take 
this review/sponsorship request?
Comment 3 Kevin Kofler 2007-11-18 01:34:20 EST
License should be GPLv2+, not GPLv2, the sources explicitly allow any later 
version.
Comment 4 Conrad Meyer 2007-11-18 01:41:24 EST
(In reply to comment #3)
> License should be GPLv2+, not GPLv2, the sources explicitly allow any later 
> version.

Fixed in specfile; rebuilt and uploaded this modification to the same URLs. 
Thanks!
Comment 5 Kevin Kofler 2007-11-18 01:47:48 EST
OK, but next time please increase the Release number each time you make a 
change to the packaging, that's what it is for. :-)
Comment 6 Conrad Meyer 2007-11-23 05:23:46 EST
Spec URL: http://konrad.sobertillnoon.com/fedora/xchat-ruby.spec
SRPM URL: http://konrad.sobertillnoon.com/fedora/xchat-ruby-1.2-2.fc8.src.rpm

Changed some usages of /etc to %{_sysconfdir}.
Comment 7 Mamoru TASAKA 2007-11-27 08:45:10 EST
Well, I have not used xchat and so currently I don't know
how to use this, however:

- On x86_64 and ppc64, while arch dependent files (usually .so files)
  are installed under /usr/lib64 (i.e. %_libdir, for example
  ruby_sitearch), arch-independent
  files (.rb files, for example) are installed under /usr/lib
  (for example, ruby_sitelib)
  c.f. http://fedoraproject.org/wiki/Packaging/Ruby

  Does your xchat-rubyenv also work for 64 bits archs?

- And currently the contents of xchat-rubyenv differs between on
  32 bits archs and on 64 bits archs. In this case, it may be better
  that xchat-rubyenv is installed under %_libdir, not under %_sysconfdir.

- build log shows that fedora specific compilation flags are
  not honored correctly.
  http://koji.fedoraproject.org/koji/taskinfo?taskID=255633
  See build.log .
  
  
Comment 8 Conrad Meyer 2007-11-27 20:27:48 EST
1) It didn't, but the next revision will.
2) This is also fixed.
3) This is also fixed :).

SPEC file: http://konrad.sobertillnoon.com/fedora/xchat-ruby.spec
SRPM:      http://konrad.sobertillnoon.com/fedora/xchat-ruby-1.2-3.fc8.src.rpm

Thanks for your feedback.
Comment 9 Conrad Meyer 2007-11-27 21:10:03 EST
Oops, xchat-rubyenv ought to include arch-specific load paths (for ruby 
libraries written in C). This is now fixed in 1.2-4.

http://konrad.sobertillnoon.com/fedora/xchat-ruby.spec
http://konrad.sobertillnoon.com/fedora/xchat-ruby-1.2-4.fc8.src.rpm
Comment 10 Mamoru TASAKA 2007-11-28 08:57:19 EST
For 1.2-4:

* SourceURL
  - I suggest to use 
    http://downloads.sourceforge.net/xchat-ruby/%{name}-%{version}-src.tar.gz
    With this, you don't have to rewrite sourceURL when new version
    is released.

* Ruby API dependency for BuildRequires
  - While this is not written in ruby guidelines, I usually recommend
    to add also
------------------------------------------------------
BuildRequires: ruby(abi) = 1.8
------------------------------------------------------
    for the consistency with Requires.

* Macros in %changelog
------------------------------------------------------
* Fri Nov 23 2007 Conrad Meyer <konrad@tylerc.org> - 1.2-2
- Replaced /etc with %{_sysconfdir}
------------------------------------------------------
  - Perhaps $ rpm -q --changelog xchat-ruby will show
------------------------------------------------------
* Fri Nov 23 2007 Conrad Meyer <konrad@tylerc.org> - 1.2-2
- Replaced /etc with /etc
------------------------------------------------------
    This is because macros are expanded even in %changelog.
    To avoild this, please use %% in changelog. i.e.
------------------------------------------------------
* Fri Nov 23 2007 Conrad Meyer <konrad@tylerc.org> - 1.2-2
- Replaced /etc with %%{_sysconfdir}
------------------------------------------------------

Well, as this is SPONSORNEEDED ticket,
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on:
http://fedoraproject.org/PackageReviewStatus/NEW.html
(NOTE: please don't choose "Merge Review")


Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 11 Conrad Meyer 2007-11-28 19:11:03 EST
Thanks you for the quick responses.

Spec: http://konrad.sobertillnoon.com/fedora/xchat-ruby.spec
SRPM: http://konrad.sobertillnoon.com/fedora/xchat-ruby-1.2-5.fc8.src.rpm

I will work on "showing that I have an understanding 
of the process and of the packaging guidelines" now. :)
Comment 12 Conrad Meyer 2007-11-28 20:26:00 EST
Pre-review:
https://bugzilla.redhat.com/show_bug.cgi?id=252101
Comment 13 Mamoru TASAKA 2007-11-29 03:09:34 EST
Well, it may be better that you add ChangeLog to %doc
(not a blocker)

- This package itself is good
- Your pre-review seems good for initial comments.

--------------------------------------------------------
    This package (xchat-ruby) is APPROVED by me
--------------------------------------------------------

Please follow the procedure according to:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
At a point a mail should be sent to sponsor members which notifies
that you need a sponsor (at the stage, please also write on
this bug for confirmation that you requested for sponsorship)
Then I will sponsor you.

If you want to import this package into Fedora 7/8, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on Fedora rebuilding system).

If you have questions, please ask me.
Comment 14 Conrad Meyer 2007-11-29 15:23:59 EST
I (konradm on the Fedora accounts system) confirm that I requested 
sponsorship :).
Comment 15 Mamoru TASAKA 2007-11-30 06:27:06 EST
Now I should be sponsoring you. Please continue
"Join" process.
Comment 16 Conrad Meyer 2007-11-30 15:30:41 EST
New Package CVS Request
=======================
Package Name: xchat-ruby
Short Description: An X-Chat plugin providing scripting functionality with Ruby
Owners: konradm
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes
Comment 17 Kevin Fenzi 2007-11-30 18:55:04 EST
cvs done.
Comment 18 Fedora Update System 2007-12-03 06:41:46 EST
xchat-ruby-1.2-5.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xchat-ruby'
Comment 19 Fedora Update System 2007-12-03 06:42:24 EST
xchat-ruby-1.2-5.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xchat-ruby'
Comment 20 Mamoru TASAKA 2007-12-03 07:42:29 EST
Closing.
Comment 21 Fedora Update System 2007-12-23 17:49:52 EST
xchat-ruby-1.2-5.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xchat-ruby'
Comment 22 Fedora Update System 2007-12-23 17:50:01 EST
xchat-ruby-1.2-5.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xchat-ruby'
Comment 23 Fedora Update System 2007-12-26 18:50:50 EST
xchat-ruby-1.2-5.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xchat-ruby'
Comment 24 Fedora Update System 2007-12-26 18:52:25 EST
xchat-ruby-1.2-5.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xchat-ruby'
Comment 25 Fedora Update System 2007-12-26 20:01:56 EST
xchat-ruby-1.2-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2007-12-26 20:02:59 EST
xchat-ruby-1.2-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.